# $Id: 03-isearch-get.t,v 1.2 2000/12/18 04:33:37 knok Exp $
#

use strict;
use Test;

BEGIN { plan tests => 3 }

use Search::Saryer;
my $file = 't/01-new-destroy.t';
my $searchstr = 'sary';
my $exct = 4;

print STDERR "\nCreate suffix array\n";
system("mksary $file");
print STDERR "Create Saryer object.\n";
my $x = Search::Saryer::new('filename' => $file);
ok(defined $x);

$x->icase_search($searchstr);
ok(1);
$x->sort_occurrences();

my $count = 0;
while (1) {
      my $ret = $x->get_next_line();
      last unless defined $ret;
      print STDERR "get_next_line: $ret";
      $count ++;
}
ok($count == $exct);
