# $Id: 05-tagged-region.t,v 1.1 2000/12/18 05:08:24 knok Exp $
#

use strict;
use Test;

BEGIN { plan tests => 3 }

use Search::Saryer;
my $file = 't/01-new-destroy.t';
my $searchstr = 'sary';

print STDERR "\nCreate suffix array\n";
system("mksary $file");
print STDERR "Create Saryer object.\n";
my $x = Search::Saryer::new('filename' => $file);
ok(defined $x);

$x->search($searchstr);
ok(1);
$x->sort_occurrences();

my $ret = $x->get_next_tagged_region("\n", "\n");
if (defined $x) {
	print STDERR "-- get_next_tagged_region: \n";
	print STDERR "$ret";
	print STDERR "-- \n";
	ok(1);
} else {
	ok(0);
}
